package com.fr.plugin.heatpointmapbox.ui;

import com.fr.base.BaseFormula;
import com.fr.chart.chartattr.Plot;
import com.fr.design.beans.BasicBeanPane;
import com.fr.design.gui.controlpane.NameableCreator;
import com.fr.js.NameJavaScriptGroup;
import com.fr.plugin.heatpointmapbox.HeatPointMapChart;
import com.fr.van.chart.custom.component.VanChartHyperLinkPane;

import java.util.Map;

public class HeatPointMapHyperLink extends VanChartHyperLinkPane {

    private HeatPointMapChart chart;

    public void populateBean(HeatPointMapChart paramAbstractECharts) {
        this.chart = paramAbstractECharts;
        populate(paramAbstractECharts.getPlot());
    }

    public void updateBean(HeatPointMapChart paramAbstractECharts) {
        update(paramAbstractECharts.getPlot());
    }

    @Override
    public NameableCreator[] createNameableCreators() {
        return super.createNameableCreators();
    }

    @Override
    public BasicBeanPane createPaneByCreators(NameableCreator nameableCreator) {
        return super.createPaneByCreators(nameableCreator);
    }

    @Override
    protected Map<String, BaseFormula> getHyperLinkEditorMap() {
        return this.chart.getHyperLinkEditorMap();
    }

    @Override
    public void refreshNameableCreator(NameableCreator[] nameableCreators) {
        super.refreshNameableCreator(nameableCreators);
    }

    @Override
    protected NameJavaScriptGroup populateHotHyperLink(Plot paramPlot) {
        return this.chart.getLinkNameGroup();
    }

    @Override
    protected void updateHotHyperLink(Plot paramPlot, NameJavaScriptGroup paramNameJavaScriptGroup) {
        this.chart.setLinkNameGroup(paramNameJavaScriptGroup);
    }
}
